---
#
# This is the canonical configuration for the `README.md`
# Run `make readme` to rebuild the `README.md`
#

# Name of this project
name: tf-proj-aws-eks-rancher

# Canonical GitHub repo
gitlab_repo: https://gitlab.com/eggplantsoftware/platform/terraform/proj-aws-eks-rancher

# Short description of this project
description: |-
  This project deploys Rancher to an EKS cluster.

# Terraform Markdown to include
include:
  - "docs/terraform.md"

# Introduction to the project
introduction: |-
  This project deploys Rancher to an EKS cluster.
  It is expected the EKS cluster already exists and is only running Rancher.
  In addition to deploying Rancher, it also deploys ExternalDNS and ingress-nginx as prerequisites for Rancher to work correctly.

# How to use this module
usage: |-
  How to use this module:

  ```hcl
  ```

# How to get up and running with this project
quickstart: |-
  How to get up and running with this project:
    1. First action
    2. Second action
    3. Third action 

  ```hcl
  ```

# Project feferences
references:
  - name: Eggplant Terraform & Terragrunt Documentation
    description: An introduction to the usage, framework, motivations / rationale, as well as how to get started with Terraform & Terragrunt.
    url: https://siteconfidence.atlassian.net/wiki/spaces/EPA/pages/1410727946/Terraform+Terragrunt